package cz.jzitnik.utils.events;

import cz.jzitnik.utils.DependencyManager;

public abstract class AbstractEventHandler<T> {
    protected final DependencyManager dm;

    public AbstractEventHandler(DependencyManager dm) {
        this.dm = dm;
    }

    public abstract void handle(T event);
}
